Retrieves all the locations
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
location| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
|
| _parent_id |
Reference to a parent location |
globally unique identifier | |
| _parent_reference_back_office |
Embedded entity "location" for parent location using ERP PK when adding/updating location |
string | |
| _parent_location |
Embedded entity "location" for parent location when adding/updating location |
location | |
| project_status_id |
Foreign key to project_status_id |
globally unique identifier | |
| company_id |
The company owner of this location |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating location |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating location |
company |
Optionally required : company_id, company_code or company must be provided |
| name |
Name of the location |
string |
Required Max length: 50 |
| extra_information |
extra_information |
string |
Max length: 255 |
| reference_back_office |
The Id/Ref of the back office for this location. Used by Embedded entity |
string |
Max length: 255 |
| street |
Street |
string |
Max length: 100 |
| street_number |
Street number. |
string |
Max length: 50 |
| zip |
Zip code |
string |
Max length: 50 |
| city |
City |
string |
Max length: 50 |
| phone |
Phone number |
string |
Max length: 50 |
|
Email address |
string |
Max length: 250 |
|
| db_country_id |
Foreign key to table Country |
globally unique identifier | |
| db_country_code |
CountryCode entity using international code when adding/updating company |
string | |
| street2 |
Additional information on the address not part of the postal address |
string |
Max length: 50 |
| latitude_decimal |
Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| longitude_decimal |
Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| contact_id |
Foreign key of contact for this location |
globally unique identifier | |
| contact_reference_back_office |
Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office |
string | |
| contact |
Embedded entity "contact" when adding/updating location |
contact | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| id2 |
Internal ID (numeric). Will be used if reference_back_office is empty |
integer |
Response Formats
application/json, text/json
{
"id": "38bbbc73-7f2f-412b-a4cf-56c7023cc654",
"_parent_id": "197e1830-8fc6-4fb6-9342-7c89962dcace",
"_parent_reference_back_office": "sample string 3",
"project_status_id": "3fa1f7cd-bdfe-4f0e-a9ae-5095dc2740b9",
"company_id": "852da6f0-2b1c-44b7-acb1-ae26e3512c7f",
"company_code": "sample string 6",
"name": "sample string 7",
"extra_information": "sample string 8",
"reference_back_office": "sample string 9",
"street": "sample string 10",
"street_number": "sample string 11",
"zip": "sample string 12",
"city": "sample string 13",
"phone": "sample string 14",
"email": "sample string 15",
"db_country_id": "af730a27-02fe-45e2-8954-6c02b20c4d02",
"db_country_code": "sample string 17",
"street2": "sample string 18",
"latitude_decimal": 1.0,
"longitude_decimal": 1.0,
"contact_id": "fee8704e-9adc-4617-81f3-74a0a08ce4c0",
"contact_reference_back_office": "sample string 20",
"contact": {
"id": "a2fb52d1-7465-4c01-b24d-0498b3178a42",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "ea45de1a-9f64-48ba-bd57-e4f764c2eec3",
"company_code": "sample string 5",
"company": {
"id": "376478e1-6abf-4e1a-a83f-faeb8309c66a",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-12T16:38:37.4806918+00:00",
"sales_territory_id": "9e6d83f5-75f5-4d3e-80d7-afed58fc63b5",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "2a0c64bd-f911-4019-b90c-b6b7dbd4d582",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "6766d699-e543-46c6-b9a5-670250c9c02f",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "2e9dd103-3a5d-4365-be34-8a30dd7b5351",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "51dd32f6-2e32-49b9-917d-22b57ec46180",
"db_currency_id": "3b3b3d08-bc96-44bb-a7bf-6b2d849903a6",
"db_language_id": "bea77349-76bb-46c7-a2f9-999a19fa6694",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T16:38:37.4806918+00:00"
},
"modified_dateutc": "2026-11-12T16:38:37.4806918+00:00"
},
"marketing_segment_id": "cf2e92b7-4b71-4a41-9a6b-e1be14cb04d0",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "410897fc-1fec-4351-b4f5-c590236574a7",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "14ea8a30-c1f1-40ee-a434-46228962afd4",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "3f062f47-c54c-4756-8022-da825d7a4427",
"db_country_code": "sample string 28",
"feelist_id": "cd0d87bc-541e-44d8-b7e4-02af0f00c36b",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "26a32422-5ac4-499f-b734-8292f89ed8e9",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "6720e14d-b9e8-46c0-8a44-92bbc399b7d1",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-12T16:38:37.4806918+00:00",
"db_currency_id": "701ab4e3-14ec-4f2a-860d-f8633e1744a2",
"db_currency_code": "sample string 10"
},
"company_type_id": "7f8c21e6-bdfa-4620-8943-9f3b81374067",
"company_type_name": "sample string 32",
"company_type": {
"id": "6723d12d-81c9-4bfa-aa63-05677437e172",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "01b96065-eb1a-427b-91a3-46e41f60fd2b",
"sales_organization_code": "sample string 5"
},
"db_language_id": "fdbcde3d-add1-4b66-ad3a-2864af2834f8",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "f548345a-fc4c-482d-8358-58977d177054",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "0465eed4-6948-44f4-a329-860626660043",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "4f524434-2cc5-40fc-aff6-f53f068ccebe",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-12T16:38:37.4806918+00:00"
},
"company_sector_id": "8d3c6451-f8a4-455d-bfeb-6efa13fdbe80",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "ddb5fb27-788d-409a-bac3-5bb051ef7147",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "ca78a8f5-6c36-4afc-a4fc-e53999c3443a",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "3f696c93-99db-4a3c-85cc-d0fdc350471d",
"account_manager_user_code": "sample string 56",
"company_status_id": "27f5e488-04f6-43dc-bf7d-65bd14af4267",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-12T16:38:37.4806918+00:00",
"id2": 60
},
"db_language_id": "da736782-1631-4ef2-9617-0ef5914bc992",
"db_language_code": "sample string 7",
"db_title_id": "c7a003b0-5a99-4779-8dfa-828158ed2038",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-12T16:38:37.4806918+00:00",
"create_date": "2026-11-12T16:38:37.4806918+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-12T16:38:37.4806918+00:00"
},
"modified_dateutc": "2026-11-12T16:38:37.4806918+00:00",
"id2": 22
}